<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo("charset"); ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width">
    
    <?php wp_head(); ?>
    
</head>
<body <?php body_class(); ?>>
    

    <!-- OneClick top -->
    <a href="#" title="Back to Top" class="scrollToTop">
        <i class="fa fa-long-arrow-up" aria-hidden="true"></i>
    </a>
    <!-- OneClick top -->
    <!-- Preloader markup -->
    <div id="preloader">
        <div class="sk-circle">
            <div class="sk-circle1 sk-child"></div>
            <div class="sk-circle2 sk-child"></div>
            <div class="sk-circle3 sk-child"></div>
            <div class="sk-circle4 sk-child"></div>
            <div class="sk-circle5 sk-child"></div>
            <div class="sk-circle6 sk-child"></div>
            <div class="sk-circle7 sk-child"></div>
            <div class="sk-circle8 sk-child"></div>
            <div class="sk-circle9 sk-child"></div>
            <div class="sk-circle10 sk-child"></div>
            <div class="sk-circle11 sk-child"></div>
            <div class="sk-circle12 sk-child"></div>
        </div>
    </div>
    <!-- Preloader markup end -->
    <!-- .header-area -->
    <header class="header-area">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-3 col-sm-12 col-xs-12">
                    <div class="logo">
                        <?php 
                            if( has_custom_logo() ){
                                the_custom_logo();
                            }else{
                                echo "<h1><a href='" . esc_url(home_url( "/" )) . "'>" . esc_html(get_bloginfo( "name" )) . "</a></h1>";
                            }
                        ?>
                    </div>
                </div>
                <div class="col-md-6 col-sm-12 col-xs-12">
                   <?php 
                        get_template_part('template-parts/common/navigation');
                   ?>
                </div>
                <div class="col-md-3 col-sm-12 col-xs-12">
                    <div class="search-container">
                        <?php get_search_form(); ?>
                    </div>
                </div>
            </div>
        </div>
    </header>
    <!-- .header-area -->