<?php get_header(); ?>
    

    <!-- Post-area -->
    <section class="post-area">
        <div class="container">
            <div class="row">
                <div class="col-md-8">
                    <div class="post-wrapper">
                        <div class="page-header">
                            <h1 class="page-title">
                                <?php
                                /* translators: %s: search query. */
                                printf( esc_html__( 'Search Results for: %s', 'balaka' ), '<span>' . get_search_query() . '</span>' );
                                ?>
                            </h1>
                        </div>
                        <?php
                        
                            if( !have_posts() ){ ?>
                                <div class="text-center worng-container">
                                    <h2 class="bg-danger">
                                        <?php esc_html_e('No Result Not Found....!!', 'balaka'); ?>
                                    </h2>
                                    <div class="text-center">
                                        <a class="btn btn-success" href="<?php echo esc_url(home_url('')); ?>">
                                            <?php esc_html_e('Go Home', 'balaka'); ?>
                                        </a>  
                                    </div> 
                                </div>
                            <?php
                            }
                        if( have_posts() ):
                            while(have_posts()){
                                the_post();
                                get_template_part('template-parts/common/search-content', get_post_format() );
                            }
                            wp_reset_query();
                        ?>
                    </div>
                    <?php if( paginate_links() ): ?>
                    <div class="post-pagination">
                        <?php
                            $pagination_arg = array(
                                'prev_text' => __('<i class="fa fa-long-arrow-left" aria-hidden="true"></i>', 'balaka'),
                                'next_text' => __('<i class="fa fa-long-arrow-right" aria-hidden="true"></i>', 'balaka'),
                                'mid_size' => 3,
                            );
                            echo esc_html(paginate_links($pagination_arg));
                        ?>
                    </div>
                    <?php endif; ?>
                <?php endif; ?>
                </div>
                <div class="col-md-4">
                    <?php get_sidebar(); ?>
                </div>
            </div>
        </div>
    </section>
    <!-- .Post-area -->
    
<?php get_footer(); ?>