<?php
$balaka_cat_name = get_the_category(); 
$balaka_slide_image_url = get_the_post_thumbnail_url(get_the_ID(), 'balaka_1024x500');
?>
<div class="single-slide-item" style="background-image:url(<?php echo esc_url( $balaka_slide_image_url ); ?>);">
    <div class="single-slide-item-tablecell">
        <div class="container">
            <div class="row">
                <div class="col-md-6">
                    <span class="cat-name"><?php echo esc_html( $balaka_cat_name[0]->cat_name ); ?></span>
                    <h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
                    by <a class="author-name" href="<?php echo esc_url(get_author_posts_url( get_the_author_meta( "ID" ) ) ); ?>"><?php the_author(); ?></a> in <?php echo get_the_date(); ?>
                </div>
            </div>
        </div>
    </div>
</div><!-- .single-slide-item -->