<?php
$balaka_cat_name = get_the_category();
$balaka_readmore = get_field('button_text');
$balaka_post_image_url = get_the_post_thumbnail_url(get_the_ID(), 'balaka_640x400');
?>
<article class="category-post-wrapper">
    <figure class="category-blog-thumbnail" style="background-image: url(<?php echo esc_url( $balaka_post_image_url ); ?>);"></figure>
    <div class="category-post-content">
        <span class="cat-name"><?php echo esc_html( $balaka_cat_name[0]->cat_name ); ?></span>
        <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
        by <a class="author-name" href="<?php echo esc_url(get_author_posts_url( get_the_author_meta( "ID" ) ) ); ?>">
            <?php the_author(); ?>
        </a>
             in <?php echo get_the_date(); ?>
        <p>
            <?php echo esc_html(wp_trim_words( get_the_excerpt(), 25, '' )); ?>
        </p>
        <a href="<?php the_permalink(); ?>" class="cat-btn balaka-btn">
            <?php echo esc_html($balaka_readmore); ?>
        </a>
    </div>
</article><!-- .article -->