<?php 
    $balaka_cat_name = get_the_category();
    $balaka_releted_image_url = get_the_post_thumbnail_url(get_the_ID(), 'balaka_300x200');
?>
<div class="col-md-6">
    <div class="releted-post">
        <div class="releted-thumb" style="background-image:url(<?php echo esc_url( $balaka_releted_image_url ); ?>);"></div>
        <span class="cat-name">
            <?php echo esc_html( $balaka_cat_name[0]->cat_name ); ?>
        </span>
        <h4>
            <a href="<?php the_permalink(); ?>">
                <?php the_title(); ?>
            </a>
        </h4>
        by <a class="author-name bypostauthor" href="<?php echo esc_url(get_author_posts_url( get_the_author_meta( "ID" ) ) ); ?>">
            <?php the_author(); ?>
        </a>
            in <?php echo get_the_date(); ?> &middot; 
            <a href="<?php get_comments_link( $post->ID ); ?>">
            <?php
                $balaka_post_cm_num = get_comments_number();
                if( $balaka_post_cm_num <= 1 ){
                    echo wp_kses_post( $balaka_post_cm_num )." ".esc_html__('Comment', 'balaka');
                }else{
                    echo wp_kses_post( $balaka_post_cm_num )." ".esc_html__('Comments', 'balaka');
                }
            ?>
        </a>
    </div>
</div><!-- .col-md-6 -->