<?php
$balaka_post_image_url = get_the_post_thumbnail_url(get_the_ID(), 'balaka_640x400');
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(array('single-post-wrapper')); ?>>
    <figure class="gallery-caption blog-thumbnail">
        <a href="<?php the_permalink(); ?>">
            <?php if(has_post_thumbnail()): ?>
                <img src="<?php echo esc_url( $balaka_post_image_url ); ?>" alt="<?php echo get_the_date(); ?>">
            <?php endif; ?>
        </a>
        <?php 
            if(is_sticky()){
                echo '<div class="balaka-sticky">'.esc_html__('Featured', 'balaka').'</div>';
            }
        ?>
    </figure>
    <?php get_template_part('template-parts/common/post/search-summary'); ?>
</article><!-- .article -->