<?php
$balaka_post_image_url = get_the_post_thumbnail_url(get_the_ID(), 'balaka_640x400');
$balaka_video_link = get_field( 'video_url' );
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(array('single-post-wrapper')); ?>>
    <div class="blog-video" style="background-image: url(<?php echo esc_url( $balaka_post_image_url ); ?>);">
        <?php 
            if( $balaka_video_link ){
                echo wp_oembed_get(esc_url($balaka_video_link), '');
            }
        ?>
    </div>
    <?php get_template_part('template-parts/common/post/summary'); ?>
</article><!-- .article -->