(function ($) {
	"use strict";
    jQuery(document).ready(function($){
        // slick slide activation
        $(".homepage-slides").slick({
            slidesToShow: 1,
            infinite: true,
            dots: false,
            autoplay: true,
            arrows:true,
            prevArrow: '<i class="fa fa-long-arrow-left" aria-hidden="true"></i>',
            nextArrow: '<i class="fa fa-long-arrow-right" aria-hidden="true"></i>',
        });

        //Check to see if the window is top if not then display button
        $(window).scroll(function(){
            if ($(this).scrollTop() > 100) {
                $('.scrollToTop').fadeIn();
            } else {
                $('.scrollToTop').fadeOut();
            }
        });

        //Click event to scroll to top
        $('.scrollToTop').click(function(){
            $('html, body').animate({scrollTop : 0},800);
            return false;
        });

        
        // nav menu activation
        $('ul#menu').slicknav({
            prependTo:'#responsive_nav'
        });
        $("li.menu-item-has-children").prepend('<i class="fa fa-sort-desc"></i>');
        
            /*====  Window Load Function =====*/
        jQuery(window).on('load', function(){
                /*====  preloader js =====*/
            $('#preloader').delay(500).fadeOut('slow', function() { $(this).remove(); });
        
        });

    });
    
}(jQuery));	