<?php 
get_header();
?>
    
    <!-- .slider-area -->
    <section class="slider-area">
        <div class="homepage-slides owl-carousel">
            <?php
                $balaka_featured_posts = new WP_Query(
                    array(
                        'posts_per_page' => 3,
                        'post_type' => 'post',
                        'post_status'=>'publish',
                        'orderby'=>'post_date',
                        'order' => 'DESC',
                        //'cat' => $category->term_id,
                        //'count'=>1,
                    )
                );
                while($balaka_featured_posts->have_posts()){
                    $balaka_featured_posts->the_post();
                    get_template_part('template-parts/blog-home/featured', get_post_format() );
                }
                wp_reset_query();
            
            ?>
        </div>
    </section>
    <!-- .slider-area -->
    
    <!-- Post-area -->
    <section class="post-area">
        <div class="container">
            <div class="row">
                <div class="col-md-8">
                <?php if( have_posts() ): ?>
                    <div class="post-wrapper">
                        <?php 
                            while(have_posts()){
                                the_post();
                                get_template_part('template-parts/post-formats/post',   get_post_format() );
                            }
                            wp_reset_query();
                        ?>
                    </div>
                    <?php if( paginate_links() ): ?>
                    <div class="post-pagination">
                        <?php
                            $pagination_arg = array(
                                'prev_text' => __('<i class="fa fa-long-arrow-left" aria-hidden="true"></i>', 'balaka'),
                                'next_text' => __('<i class="fa fa-long-arrow-right" aria-hidden="true"></i>', 'balaka'),
                                'mid_size' => 3,
                            );
                            echo wp_kses_post(paginate_links($pagination_arg));
                        ?>
                    </div>
                    <?php endif; ?>
                <?php endif; ?>
                </div>
                <div class="col-md-4">
                    <?php get_sidebar(); ?>
                </div>
            </div>
        </div>
    </section>
    <!-- .Post-area -->
    
<?php get_footer(); ?>