<?php
$balaka_cat_name = get_the_category();
$balaka_readmore = get_field('button_text');
$balaka_cat_id = get_cat_ID( $balaka_cat_name[0]->cat_name );
$balaka_cat_link = get_category_link( $balaka_cat_id );
?>
<div class="post-content">
    <span class="cat-name">
        <a href="<?php echo esc_url( $balaka_cat_link ); ?>">
            <?php echo esc_html( $balaka_cat_name[0]->cat_name ); ?>
        </a>
    </span>
    <h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
    by <a class="author-name bypostauthor" href="<?php echo esc_url(get_author_posts_url( get_the_author_meta( "ID" ) ) ); ?>">
        <?php the_author(); ?></a>
         in <?php echo get_the_date(); ?>
    <p><?php echo esc_html(wp_trim_words( get_the_excerpt(), 50, '' )); ?></p>
    <a href="<?php the_permalink(); ?>" class="balaka-btn blog-btn">
        <?php echo esc_html($balaka_readmore); ?><i class="fa fa-long-arrow-right" aria-hidden="true"></i>
    </a>
</div>