<?php
    $balaka_cat_name = get_the_category();
    $balaka_cat_id = get_cat_ID( $balaka_cat_name[0]->cat_name );
    $balaka_cat_link = get_category_link( $balaka_cat_id );
?>
<div class="single-title-intro">
    <span class="cat-name">
        <a href="<?php echo esc_url( $balaka_cat_link ); ?>">
            <?php echo esc_html( $balaka_cat_name[0]->cat_name ); ?>
        </a>
    </span>
    <h2><?php the_title(); ?></h2>
    by <a class="author-name bypostauthor" href="<?php echo esc_url(get_author_posts_url( get_the_author_meta( "ID" ) ) ); ?>"><?php the_author(); ?></a> in <?php echo get_the_date(); ?>  
    &middot; 
    <a href="<?php get_comments_link( $post->ID ); ?>">
        <?php 
            $balaka_post_cm_num = get_comments_number();
            if( $balaka_post_cm_num <= 1 ){
                echo wp_kses_post( $balaka_post_cm_num )." ".esc_html__('Comment', 'balaka');
            }else{
                echo wp_kses_post( $balaka_post_cm_num )." ".esc_html__('Comments', 'balaka');
            }
        ?>
    </a>
</div>